List Events
curl --request GET \
--url https://{primary_domain}/api/public/v2.0/calendars/{calendar_id}/events \
--header 'X-Access-Key-Id: <api-key>' \
--header 'X-Access-Key-Secret: <api-key>'import requests
url = "https://{primary_domain}/api/public/v2.0/calendars/{calendar_id}/events"
headers = {
"X-Access-Key-Id": "<api-key>",
"X-Access-Key-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Key-Id': '<api-key>', 'X-Access-Key-Secret': '<api-key>'}
};
fetch('https://{primary_domain}/api/public/v2.0/calendars/{calendar_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": [
{
"id": 123,
"calendar_id": 123,
"title": "<string>",
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z",
"attendees": [
{
"email": "jsmith@example.com",
"name": "<string>",
"is_organizer": true,
"customer_id": 123,
"calendar_id": 123
}
],
"body": "<string>",
"location": "<string>",
"cancel_note": "<string>",
"canceled_by_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"public_id": "<string>",
"provider_event_id": "<string>",
"customer_id": 123,
"meeting_link_id": 123,
"online_conference": {
"id": 123,
"online_conference_account_id": 123,
"public_id": "<string>",
"title": "<string>",
"is_public": true,
"deleted_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"backer_event_id": 123,
"is_occurred": true,
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z"
}
}
]
}{
"message": "<string>",
"errors": {
"attribute": [
"The {attribute} field is required."
]
}
}"Invalid or missing access key.""Too many requests.""An unexpected error occurred."Events
List Events
Required permissions: events.read.*
GET
/
calendars
/
{calendar_id}
/
events
List Events
Path Parameters
Query Parameters
Whether or not deleted items are included.
Value of attribute to filter query by.
Comparison operator to filter query by.
Available options:
Equal, NotEqual, Contains, GreaterThan, GreaterThanOrEqual, LessThan, LessThanOrEqual, IsNull, NotNull Attribute to filter query by
Available options:
id, title, attendees, created_at, deleted_at ⌘I